View Issue Details

IDProjectCategoryView StatusLast Update
0001038SOGoWeb Calendarpublic2011-01-13 21:56
Reportercwright Assigned Tofrancis  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version1.3.4 
Target Version1.3.5Fixed in Version1.3.5 
Summary0001038: Certain repeating events can't be edited from Web
DescriptionI'm seeing an issue where instances of certain repeating events can't be edited from the Web on any day but the first day of the event. The start time of the event seems to be important as I only see this when it is between 18:00-23:00.

This can be reproduced on the SOGo demo server.

It doesn't appear to matter if the repeating event is created from the Web interface or Lightning.

Lightning has no problems accessing the event instances that can't be opened from the Web.

To reproduce it:

Timezone: America/Chicago

(SOGo Calendar Preferences)
Week begins on: Sunday
Day start time: 08:00
Day end time: 18:00

Create an event on 12/3
Start Time: [18:00 - 23:00]
End Time: [one hour after Start Time]
Repeat: Custom ->
  Repeat=Weekly
  Every 1 Weeks
  Mon and Thu

When attempting to edit the event by selecting any day but the first, I see the following error in Firefox:
"An error occurred during object publishing the requested object could not be found!"
Additional InformationSOGo logs show:

CREATE WEB EVENT

localhost.localdomain - - [03/Dec/2010:09:15:59 GMT] "POST /SOGo/so/cwright/Calendar/eventslist?asc=true&sort=start&day=20101213&filterpopup=view_next31 HTTP/1.1" 200 330/0 0.028 1584 79% 0
localhost.localdomain - - [03/Dec/2010:09:15:59 GMT] "POST /SOGo/so/cwright/Calendar/monthview?day=20101213 HTTP/1.1" 200 1196/0 0.014 6522 81% 0
2010-12-03 09:15:59.409 sogod[5231] WARNING(-[NSNull(misc) length]): called NSNull -length (returns 0) !!!
2010-12-03 09:15:59.409 sogod[5231] WARNING(-[NSNull(misc) length]): called NSNull -length (returns 0) !!!
2010-12-03 09:15:59.409 sogod[5231] WARNING(-[NSNull(misc) length]): called NSNull -length (returns 0) !!!
2010-12-03 09:15:59.409 sogod[5231] WARNING(-[NSNull(misc) length]): called NSNull -length (returns 0) !!!
2010-12-03 09:15:59.409 sogod[5231] WARNING(-[NSNull(misc) length]): called NSNull -length (returns 0) !!!
2010-12-03 09:15:59.409 sogod[5231] WARNING(-[NSNull(misc) length]): called NSNull -length (returns 0) !!!
localhost.localdomain - - [03/Dec/2010:09:15:59 GMT] "POST /SOGo/so/cwright/Calendar/eventsblocks?sd=20101128&ed=20110101&view=monthview HTTP/1.1" 200 361/0 0.015 1870 80% 0


ACCESSING FIRST DAY FROM WEB (User prompted to edit all or one event)
* Expected behavior *

localhost.localdomain - - [03/Dec/2010:09:18:22 GMT] "POST /SOGo/so/cwright/Calendar/16E1-4AF9CB80-D-862159F0/146F-4CF90980-19-2622EE80.ics/occurence1292295600/view HTTP/1.1" 200 203/0 0.024 - - 0
2010-12-03 09:18:23.280 sogod[5231] WARNING(-[NSNull(misc) count]): called NSNull -count (returns 0) !!!
localhost.localdomain - - [03/Dec/2010:09:18:23 GMT] "GET /SOGo/so/cwright/Calendar/16E1-4AF9CB80-D-862159F0/146F-4CF90980-19-2622EE80.ics/occurence1292295600/confirmEditing HTTP/1.1" 200 6602/0 0.025 19830 66% 0


ACCESS ANY REPEATING EVENT FROM WEB (An error occurred during object publishing the requested object could not be found!)
* Fails to load *

localhost.localdomain - - [03/Dec/2010:09:16:53 GMT] "POST /SOGo/so/cwright/Calendar/16E1-4AF9CB80-D-862159F0/146F-4CF90980-19-2622EE80.ics/occurence1292554800/view HTTP/1.1" 404 208/0 0.018 - - 0
localhost.localdomain - - [03/Dec/2010:09:16:54 GMT] "GET /SOGo/so/cwright/Calendar/16E1-4AF9CB80-D-862159F0/146F-4CF90980-19-2622EE80.ics/occurence1292554800/confirmEditing HTTP/1.1" 404 208/0 0.019 - - 0
TagsNo tags attached.

Activities

ludovic

ludovic

2010-12-28 15:29

administrator   ~0001980

I get the same problem in America/Montreal. But, I get only the error when trying to open the events on Thursday. Other days are working fine, including the very first Thursday.
francis

francis

2011-01-13 21:56

administrator   ~0002016

Fixed in revision b593ce96638476fad98d678453ca6af6112169fb.

Issue History

Date Modified Username Field Change
2010-12-03 11:01 cwright New Issue
2010-12-09 14:12 ludovic Target Version => 1.3.5
2010-12-28 15:29 ludovic Note Added: 0001980
2011-01-13 21:56 francis Note Added: 0002016
2011-01-13 21:56 francis Status new => resolved
2011-01-13 21:56 francis Fixed in Version => 1.3.5
2011-01-13 21:56 francis Resolution open => fixed
2011-01-13 21:56 francis Assigned To => francis